> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payments 1



## OpenAPI

````yaml /api-reference/oda-payment-service-1.0.0.yml get /payments/{id}
openapi: 3.0.1
info:
  title: oda-payment-service
  version: 1.0.0
servers: []
security: []
paths:
  /payments/{id}:
    get:
      operationId: get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: get 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentController.PaymentDto'
components:
  schemas:
    PaymentController.PaymentDto:
      required:
        - actions
        - amount
        - attachments
        - gateway
        - gatewayCredentialId
        - gatewayId
        - id
        - message
        - method
        - nickname
        - recipientId
        - status
      type: object
      properties:
        id:
          type: string
        gateway:
          type: string
        gatewayId:
          type: string
        method:
          type: string
        nickname:
          type: string
        message:
          type: string
        recipientId:
          type: string
        amount:
          $ref: '#/components/schemas/Amount'
        confirmation:
          type: string
          nullable: true
        gatewayCredentialId:
          type: string
        goal:
          type: string
          nullable: true
        authorizationTimestamp:
          type: string
          format: date-time
          nullable: true
        status:
          type: string
        attachments:
          type: array
          items:
            type: string
        actions:
          type: array
          items:
            $ref: '#/components/schemas/PaymentController.PaymentDto.ActionDto'
        auction:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PaymentController.PaymentDto.AuctionDto'
    Amount:
      required:
        - currency
        - major
        - minor
      type: object
      properties:
        minor:
          type: integer
          format: int32
        major:
          type: integer
          format: int32
        currency:
          type: string
    PaymentController.PaymentDto.ActionDto:
      required:
        - actionId
        - id
        - parameters
      type: object
      properties:
        id:
          type: string
        actionId:
          type: string
        parameters:
          type: object
          additionalProperties:
            type: object
    PaymentController.PaymentDto.AuctionDto:
      required:
        - isNew
      type: object
      properties:
        item:
          type: string
          nullable: true
        isNew:
          type: boolean

````